curl -X GET 'https://app.filemonk.io/api/v1/external/digital_products?per_page=10' \ -H 'X-Auth-Token: fm_api_key_your_key_here'
{ "digital_products": [ { "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901", "shopify_product_id": 8847261098265, "shopify_variant_id": null, "assets": [ { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "type": "external", "name": "Photoshop Brushes Pack", "filename": "brushes-pack-v2.zip", "external_url": "https://cdn.example.com/files/brushes-pack-v2.zip", "content_type": "application/zip", "byte_size": 0, "created_at": "2026-03-01T14:30:00Z" } ], "upsert_always": false, "custom_message": "Thanks for your purchase!", "preorder_enabled": false, "preorder_launch_date": null, "preorder_subject": null, "preorder_heading": null, "preorder_description": null, "created_at": "2026-03-05T10:00:00Z", "updated_at": "2026-03-05T10:00:00Z" } ], "pagination": { "current_page": 1, "per_page": 10, "total_count": 5, "total_pages": 1 } }
Retrieve a paginated list of all digital products in your store.
Documentation IndexFetch the complete documentation index at: https://docs.filemonk.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.filemonk.io/llms.txt
Use this file to discover all available pages before exploring further.
Show Digital product properties
null
true
Show Pagination properties